body {
	background-image: url("/assets/images/background-2.jpg");
	background-size: cover;
	font-family: "Poppins", sans-serif;
	position: relative;
	/* transition: background-image 0.1s ease; */
	/* margin: 0; */
	height: 90vh;
	/* overflow: hidden; */
}

.overlay {
	width: 100%;
	height: 100vh;
	background-color: black;
	z-index: 2;
	top: 0;
	left: 0;
	position: fixed;
	opacity: 50%;
}

.main {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.content {
	margin-top: -2rem;
	z-index: 2;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	transform: scale(0.8);
}

.header {
	display: flex;
	flex-direction: column;
	align-items: center;
	position: relative;
}

#avatar {
	width: 4rem;
	height: 4rem;
	border-radius: 100%;
	position: absolute;
	z-index: 99;
}

.avatar-border {
	position: absolute;
	backdrop-filter: blur(14.7px) saturate(171%);
	background-color: rgb(120 175 172 / 24%);
	border-radius: 100%;
	width: 5.5rem;
	height: 5.5rem;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	z-index: 3;
}

.card {
	width: 500px;
	backdrop-filter: blur(14.7px) saturate(171%);
	background-color: rgba(27, 67, 65, 0.33);
	border-radius: 12px;
	border: 1px solid rgb(96 211 195 / 48%);
	z-index: 1;
	margin-top: -1.7rem;
	position: relative;
	overflow: hidden;
	padding-bottom: 3rem;
	transition: transform 0.3s ease, box-shadow 0.3s ease;
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.header-name {
	padding: 1rem 2rem;
	backdrop-filter: blur(14.7px) saturate(171%);
	background-color: rgb(120 175 172 / 24%);
	border-radius: 0.5rem;
	border: 1px solid rgba(32, 141, 126, 0.13);
	color: white;
	z-index: 2;
	margin-top: 4.6rem;
	font-size: 1.2rem;
	font-weight: 500;
}

.socials {
	padding: 3.3rem;
	margin-bottom: -1.3rem;
}

.socials ul {
	display: flex;
	list-style-type: none;
	justify-content: center;
	align-items: center;
	gap: 2.3rem;
}

.socials ul li img {
	width: 2.8rem;
}

.divider {
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 1.4rem;
	color: greenyellow;
}

.menu ul {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	width: 100%;
	text-decoration: none;
	align-items: center;
}

.menu ul a {
	width: 92%;
	list-style-type: none;
	display: flex;
	flex-direction: column;
	align-items: center;
	font-size: 1.1rem;
}

.menu-link {
	text-decoration: none !important;
}

.menu ul li {
	width: 60%;
	padding: 1.3rem 2rem;
	backdrop-filter: blur(10.9px) saturate(164.8%);
	background-color: rgb(120 175 172 / 24%);
	border-radius: 0.6rem;
	border: 1px solid rgba(32, 141, 126, 0.13);
	display: flex;
	justify-content: center;
	color: white;
	gap: 0.6rem;
}

.menu ul li:hover {
	background-color: transparent;
	color: white;
	transition: background-color 0.3s ease;
	cursor: pointer;
	box-shadow: inset -1px 1px 9px 3px #29ced16b;
}

.socials ul li img:hover {
	transform: scale(1.5);
	transition: transform 0.3s ease;
	cursor: pointer;
}

.change-bg-button {
	margin-top: 1rem;
	padding: 0.5rem 1.3rem;
	background-color: greenyellow;
	font-family: "Poppins";
	border: 0px;
	border-radius: 0.5rem;
	font-weight: 500;
}

.change-bg-button:hover {
	cursor: pointer;
	transform: translateY(-4px);
	transition: 0.4s;
}

.unsplash-card {
	width: 35rem;
	backdrop-filter: blur(14.7px) saturate(171%);
	border-radius: 12px;
	border: 1px solid rgb(96 211 195 / 48%);
	z-index: 3;
	position: absolute;
	padding: 3rem;
	transition: transform 0.3s ease, box-shadow 0.3s ease;
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	color: white;
	display: none;
	margin-top: 1rem;
}

.unsplash-card-active {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.unsplash-header {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 0.6rem;
	width: 100%;
}

.unsplash-input {
	display: flex;
	align-items: center;
	padding-left: 1rem;
	background-color: white;
	width: 75%;
	justify-content: center;
	border-radius: 0.4rem;
}

.unsplash-input input {
	border: none;
	padding: 0.9rem;
	width: 90%;
	font-size: 1rem;
	font-family: poppins;
}

.search-btn button {
	padding: 0.98rem;
	background-color: white;
	border-radius: 0.4rem;
	font-size: 0.9rem;
	font-family: poppins;
	border: none;
	background-color: greenyellow;
	font-weight: 500;
	cursor: pointer;
}

.unsplash-input input:focus-visible {
	outline: none;
	box-shadow: 0 0 0 2px #your-color-here;
}

.unsplash-body {
	margin-top: 0.8rem;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background-color: transparent;
	width: 95%;
	padding: 1rem 0;
	border-radius: 0.5rem;
	color: black;
	position: relative;
}

.unsplash-image-container {
	display: grid;
	gap: 10rem;
	grid-template-column: repeat(2, 1fr);
	justify-content: center;
	align-items: center;
}

.unsplash-image {
	width: 10.4rem;
	height: 10rem;
	object-fit: cover;
	border-radius: 0.3rem;
}

.unsplash-image:hover {
	transform: scale(1.07);
	cursor: pointer;
	transition: 0.3s ease;
}

.close-button {
	position: absolute;
	top: 0.9rem;
	right: 1rem;
}

.close-icon {
	width: 2rem;
	height: 2rem;
	cursor: pointer;
	transition: 0.2s ease;
}

.close-icon:hover {
	transform: scale(1.3);
}

.footer {
	margin-top: 1.5rem;
	color: greenyellow;
	font-weight: 500;
}

@media (max-width: 540px) {
	.card {
		width: 97%;
	}

	.menu ul a {
		width: 95%;
		font-size: 1rem;
	}

	.socials ul li img {
		width: 2rem;
	}

	.menu ul li img {
		width: 1.4rem;
	}

	.header-name {
		font-size: 1rem;
	}
}
/* shining effect */

.card::before {
	content: "";
	position: absolute;
	top: 0;
	left: -140%;
	width: 100%;
	height: 100%;
	background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.4) 50%, rgba(255, 255, 255, 0) 100%);
	transform: skewX(-45deg);
	transition: left 0.3s ease;
}

.card:hover {
	transform: translateY(-4px);
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.card:hover::before {
	left: 180%;
}
